/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */

/*header-site*/
a.red{color:var(--e-global-color-accent);}
/*#header_logo {position: absolute;left: calc(50% - 127px);top:0;}*/
.elementor-g-recaptcha{visibility:hidden;}

body.rtl .dialog-type-buttons .dialog-close-button{right:4.7%; left: unset; width: fit-content;}
body:not(.rtl) h2{font-family: "Bebas Neue", Sans-serif;}
#right-nav .elementor-widget-container {flex-direction: unset;}

#red_heder {overflow: visible;}

header{/*position: fixed;*/ width: 100%; z-index: 100;}

.elementor-nav-menu--main .special{background: var(--e-global-color-783c807);}
.elementor-nav-menu--main .special:hover{background:rgba(255, 255, 255, 0.75); }
.elementor-element.elementor-element-9cf0f86 .elementor-nav-menu--main .special .elementor-item{color: var(--e-global-color-accent);}
.elementor-element.elementor-element-9cf0f86 .elementor-nav-menu--main .special .elementor-item:hover:after{opacity: 0; color: var(--e-global-color-accent); }


/*main*/
#content .page-header{z-index: 0!important; position: fixed;}
#content .page-header h1.entry-title{color: var(--e-global-color-2499250);}
.info_branch{flex-grow: 1;}
.info_branch .elementor-shortcode{display: flex;  flex-direction: column; justify-content: space-between; flex-grow: 1; gap: 2%; height: 100%;}
.info_branch .elementor-shortcode h2.elementor-heading-title, .branch_close .elementor-shortcode h2.elementor-heading-title, .job_loop_item h2.elementor-heading-title{color: var(--e-global-color-primary ); font-family: var(--e-global-typography-primary-font-family ), Sans-serif; font-size: var(--e-global-typography-fd8197d-font-size ); font-weight: var(--e-global-typography-fd8197d-font-weight ); line-height: var(--e-global-typography-fd8197d-line-height );}
.info_branch .elementor-shortcode, .info_branch  .elementor-shortcode a, .job_loop_item p{font-family: var(--e-global-typography-5664561-font-family ), Sans-serif; font-size: var(--e-global-typography-5664561-font-size ); color:var(--e-global-color-text);font-weight: var(--e-global-typography-5664561-font-weight );line-height: var(--e-global-typography-5664561-line-height );}
.job_loop_item h4{font-family: var(--e-global-typography-5f3b9bd-font-family), Sans-serif;font-size: var(--e-global-typography-5f3b9bd-font-size);font-weight: var(--e-global-typography-5f3b9bd-font-weight);line-height: var(--e-global-typography-5f3b9bd-line-height); color: var(--e-global-color-primary);}
.info_branch .elementor-shortcode .info-txt .situation{font-weight: 700;}
.info_branch .elementor-shortcode a.red{color: var(--e-global-color-accent); position: relative; display: inline-block; }
.info_branch .elementor-shortcode .red i {margin-right: 0.5vw; width: 1.2vw; height: auto;}
.info_branch .elementor-shortcode .red i svg {height: inherit;}
.info_branch .elementor-shortcode a.red:after {content: ""; display: inline; position: absolute; right: 0; bottom: 0.2vh; width: calc(100% - 1.7vw); height: 0.186vh; background-color:var(--e-global-color-accent); padding-left: 2vw; opacity: 0;}
.info_branch .elementor-shortcode a.red:hover:after{opacity: 1;}

.info_branch .elementor-shortcode .icon-container:hover .icon {display: none;}
.info_branch .elementor-shortcode .icon-container:hover .hover-icon {display: inline-block;}
.info_branch .elementor-shortcode .hover-icon {display: none;}

.info_branch .elementor-shortcode .branch_buttons{display: flex; flex-direction: row; gap:1vw; align-items: flex-end;}
.info_branch .elementor-shortcode .branch_buttons .elementor-button.delivery{background-color: var(--e-global-color-accent); color:var(--e-global-color-783c807); font-weight:400; line-height: 1em; }
.job_loop_item .elementor-button.delivery{background-color: var(--e-global-color-accent); color:var(--e-global-color-783c807); font-weight:400; line-height: 1em; font-size: 1.8vw; }
.job_loop_item .accordion-content {display: none;}
.job_loop_item .job-title{display: flex;flex-direction: row;justify-content: space-between;align-items: center;}

.info_branch .elementor-shortcode .branch_buttons .elementor-button.waze{font-weight:400; padding: 0px; display: flex; gap:11px;line-height: 32px; align-items: flex-end;}
.info_branch .elementor-shortcode .branch_buttons .elementor-button.waze span{padding: 12px 0; /*border-bottom:solid 3px var(--e-global-color-accent);*/ text-decoration: underline; text-underline-offset: 1vh; line-height: 32px;}
.info_branch .elementor-shortcode .branch_buttons .elementor-button.waze svg#whatsapp-icon {width: 2.48vw;height: 2.48vw;}
.branch_item .branch_open .branch_image img{aspect-ratio: 2/3; width: 13.4375vw; }
.branch_item .branch_open .elementor-widget-icon{position: absolute; left: 0;}
form#location_filter_form {display: flex; flex-direction: row; justify-content: center; align-items: center; width: 100%; margin: auto; border-bottom: 1px solid var(--e-global-color-f5aa139); padding-bottom: 14px;}
:root {--select-focus: #00f;--select-arrow: var(--select-border);}
form#location_filter_form select#branch_selection, form#location_filter_form select#branch_selection:focus {border: none;}
form#location_filter_form select#branch_selection /*option*/{font-size:var(--e-global-typography-5664561-font-size); font-weight: var(--e-global-typography-5664561-font-weight); color: var(--e-global-color-text); font-family: var(--e-global-typography-4d95db8-font-family);}
form#location_filter_form select#branch_selection option {height: 250px; overflow-y: auto;}
form#location_filter_form select#branch_selection option:hover, form#location_filter_form select#branch_selection option:focus, form#location_filter_form select#branch_selection option:visited{background-color:  var(--e-global-color-accent )!important; color: #fff;}
#searchInput {width: 200px;padding: 5px;}

#dropdownList {list-style-type: none;padding: 0;display: none;}
#branches_nav ul li:after{transform: rotate(15deg);}
#branches_nav ul li a.elementor-item-active, #branches_nav nav ul li a:active, #branches_nav nav ul li a:current{font-weight: 700;}
#the_region_filter .region-filters{display: flex; flex-direction: row; justify-content: center;gap: 15px;}
#the_region_filter .region-filters span, #the_region_filter .region-filters a{color: var(--e-global-color-accent ); font-family: var(--e-global-typography-5664561-font-family ), Sans-serif; font-size: var(--e-global-typography-5664561-font-size ); font-weight: var(--e-global-typography-5664561-font-weight );line-height: var(--e-global-typography-5664561-line-height );}
#the_region_filter .region-filters a:hover{text-decoration: underline; text-underline-offset: 1vh;}
#the_region_filter .region-filters a.active{font-weight: 700;}
#branches_loop .e-n-tabs-heading .e-n-tab-title{background-color: unset;}
#branches_loop .e-n-tabs-heading .e-n-tab-title .e-n-tab-title-text{color: var(--e-global-color-accent ); font-family: var(--e-global-typography-5664561-font-family ), Sans-serif; font-size: var(--e-global-typography-5664561-font-size ); font-weight: var(--e-global-typography-5664561-font-weight );line-height: var(--e-global-typography-5664561-line-height );}
#branches_loop .e-n-tabs-heading .e-n-tab-title .e-n-tab-title-text:hover, #branches_loop .e-n-tabs-heading .e-n-tab-title[aria-selected="true"] .e-n-tab-title-text{text-decoration: underline; text-underline-offset: 1vh;}
#elementor-popup-modal-669 .dialog-widget-content, #elementor-popup-modal-910 .dialog-widget-content {box-shadow: 6px 6px 3px #12100B32;}
#elementor-popup-modal-669 .dialog-widget-content .popupimg img{object-fit: cover;}
#icon_hover .elementor-shortcode a, .elementor-field-group-field_fc26d02 a{display: flex; gap: 0.26vw; align-items: center; justify-content: center;}
#icon_hover .elementor-shortcode a .icon-text, .elementor-field-group-field_fc26d02 a .icon-text{font-family: "mikhmoret", Sans-serif; font-size: 1.4vw; font-weight: 300; line-height: 1.4vw; color: var(--e-global-color-accent );}
#icon_hover .elementor-shortcode a .icon, #icon_social_hover .elementor-shortcode a .icon{display: flex; align-items: center; justify-content: center;}
.elementor-field-group-field_fc26d02{ gap: 1vw;}
.elementor-field-group-field_fc26d02 a .icon svg{width: 1.4vw; height: 1.4vw; overflow: visible;}
#icon_social_hover .elementor-shortcode{display: flex; gap: 1vw; color: var(--e-global-color-accent ); justify-content: center;}
#icon_social_hover .elementor-shortcode a{ display: flex; gap:0.50vw; align-items: center;}
#icon_social_hover .elementor-shortcode a .icon-text{font-family: var(--e-global-typography-5664561-font-family ), Sans-serif; font-size: var(--e-global-typography-5664561-font-size ); font-weight: var(--e-global-typography-5664561-font-weight ); line-height: var(--e-global-typography-5664561-line-height ); color: var(--e-global-color-accent );}
#icon_social_hover .elementor-shortcode a .icon svg{width: auto; height: 1.9vw; aspect-ratio: 1/1; }
#icon_social_hover .elementor-shortcode a .icon svg, #icon_hover .elementor-shortcode a .icon svg{overflow: visible;}

#branch_list {display: none; position: absolute; background-color: #fff; border: 1px solid #ccc; z-index: 1; width: 100%;}

/* Style for each branch item in the dropdown */
#branch_list li {padding: 8px 12px;cursor: pointer;}

/* Style for the selected branch in the dropdown */
#branch_list li.selected {background-color: #f0f0f0;}

.elementor-button-wrapper:hover .elementor-button {
    transform: scale(0.9); /* You can adjust the scale factor to control the amount of shrinkage */
    transition: transform 0.3s ease; /* You can adjust the transition duration as needed */
}

/*#form-field-field_ac137b0 option[value="[franchise_select_field]"]{display: none; visibility: hidden;}*/
/*#elementor-popup-modal-669, #elementor-popup-modal-910{z-index: 8888;}*/
@media (min-width: 2400px){
    #icon_hover .elementor-shortcode a .icon-text, .elementor-field-group-field_fc26d02 a .icon-text{font-size: 1.4vw;}
}

@media all and (max-width:1024px) {
    /* #header_logo {position: absolute;left: calc(50% - 8vw); top:0;}*/
    .elementor-field-group-field_fc26d02{gap: 1vw;}
    #icon_social_hover .elementor-shortcode{gap: 6vw;}
    #icon_hover .elementor-shortcode a, .elementor-field-group-field_fc26d02 a, #icon_social_hover .elementor-shortcode a{gap: 1.1vw;}
    #icon_hover .elementor-shortcode a .icon-text, .elementor-field-group-field_fc26d02 a .icon-text{font-size: 2.6vw; line-height: 1em; }
    #icon_hover .elementor-shortcode a .icon svg, .elementor-field-group-field_fc26d02 a .icon svg{height: 1.2em; width: auto; aspect-ratio: 1/1; }
    #icon_social_hover .elementor-shortcode a .icon svg{height: 1.2em; width: auto; aspect-ratio: 1/1;}
}
@media all and (max-width:767px){
    /*header-site*/
    /*#header_logo {position: absolute;left: 23px;top:0;}*/
    /*#img_hp img{object-fit: contain; height: 45vh;}*/
    .info_branch .elementor-shortcode{justify-content: start; gap:3vh;}
    .info_branch .elementor-shortcode div{}
    .info_branch .elementor-shortcode .branch_buttons{flex-direction:column; }
    .info_branch .elementor-shortcode .branch_buttons .elementor-button.delivery{width: 100%;}
    .info_branch .elementor-shortcode .branch_buttons .elementor-button.waze{border: 1px solid var(--e-global-color-accent ); padding: 0.5vh 3vw; line-height: 1em; width: 100%; justify-content: center;}
    .info_branch .elementor-shortcode .branch_buttons .elementor-button.waze span{text-decoration: unset;  line-height: 1em; padding:0;}
    .info_branch .elementor-shortcode .branch_buttons .elementor-button.waze svg#whatsapp-icon {width:4.5vw; height: auto; }
    .info_branch .elementor-shortcode a.red svg{height: 1.53vh;}
    .info_branch .elementor-shortcode a.red:after{display: none;}
    .info_branch .elementor-shortcode a.red{text-decoration: underline; text-underline-offset: 0.2em;}
    #dropdown_branches  form#location_filter_form{width: 80vw;}
    /*#the_region_filter .region-filters span{display: none;}*/
    #the_region_filter .region-filters{gap:4%;}
    #dropdown_branches #location_filter_form svg, #search_branches #location_filter_form svg{height:2.858vh; width: 5.31vw; }
    span.hide_mobile, .red i.hide_mobile{display: none;}
    span.hide_mobile.phones{color: #ffffff; display: inline; }
    #icon_hover .elementor-shortcode a{gap: 2vw;}
    .elementor-field-group-field_fc26d02{gap: 1vw;}
    .elementor-field-group-field_fc26d02 a{}
    #icon_hover .elementor-shortcode a .icon-text{font-size: 5.2vw; line-height: 1em; }
    .elementor-field-group-field_fc26d02 a .icon-text{font-size: 4.4vw; line-height: 1em;}
    #icon_hover .elementor-shortcode a .icon svg, .elementor-field-group-field_fc26d02 a .icon svg{height: 0.8em; width: auto; }
    .job_loop_item .elementor-button.delivery{ font-size: 6vw; }
}